Subject: Re: Please add irqdomain branch to linux-next

From: Grant Likely <[email-masked]>
Date: Wed, 15 Feb 2012 20:31:08 -0700

On Thu, Feb 16, 2012 at 02:11:38PM +1100, Benjamin Herrenschmidt wrote:
> On Wed, 2012-02-15 at 18:32 -0700, Grant Likely wrote:
> 
> > Only nomap users will care about this, and of those 5, only iseries
> > and ps3 actually change it.  How about I add a max_virq parameter to
> > only be used by the nomap revmap?  That seems to be cleaner than a
> > global setting.  I've crafted a patch and will post it with v5 of the
> > series.
> 
> Right, I don't see an obvious need elsewhere so it could be a flag
> specific to nomap, tho it still needs to be taken into account in the
> main allocation code.
> 
> > For now I'll use numa_node_id() at allocation time.  I'll craft a
> > follow-on patch to change the API since it touches a lot of call
> > sites.
> 
> But which node ? :-)
> 
> I'd rather you add a new API, no need to change the call sites:
> 
> Add foo_node(xxx,node); and have the existing foo() be implemented
> as a static inline calling foo_node(xxx,0); or something like that, then
> I can change the powerpc code to use the later & pass the PCI device
> node (which should be in the pci_controller structure). We can add more
> later.

Okay, fair enough.  Instead of changing the series then, adding the new
api can be the follow on patch.

g.